import { Request, Response } from 'express';
import { defaultPaginationDto } from '../shared/shared.dto';
import { createHiringSourceDto, updateHiringSourceDto } from './hiring_sources.dto';
import { HiringSourcesService } from './hiring_sources.service';
export declare class HiringSourcesController {
    private readonly service;
    constructor(service: HiringSourcesService);
    create(data: createHiringSourceDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    getAll(owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    filteredHiringSources(query: defaultPaginationDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    find(hiringSourceId: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    update(hiringSourceId: string, owner_id: string, data: updateHiringSourceDto, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    delete(hiringSourceId: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
}
